package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BasDeviceSiteCoordinateOperationLog;
import cn.cecep.talroad.vo.query.BasDeviceSiteQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.sql.Timestamp;
import java.util.List;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @className: BasDeviceSiteCoordinateOperationLogMapper
 * @description: TODO 类描述 
 * @author: Mr.Yanghongtao
 * @date: 2023/04/30 10:06
 * @Company: Copyright© [2023/04/30 10:06] by [Mr.Yanghongtao]
 **/
@Mapper
public interface BasDeviceSiteCoordinateOperationLogMapper extends BaseMapper<BasDeviceSiteCoordinateOperationLog> {
    int insertSelective(BasDeviceSiteCoordinateOperationLog record);

    int updateByPrimaryKeySelective(BasDeviceSiteCoordinateOperationLog record);

    int updateBatch(List<BasDeviceSiteCoordinateOperationLog> list);

    int updateBatchSelective(List<BasDeviceSiteCoordinateOperationLog> list);

    int batchInsert(@Param("list") List<BasDeviceSiteCoordinateOperationLog> list);

    int insertOrUpdate(BasDeviceSiteCoordinateOperationLog record);

    int insertOrUpdateSelective(BasDeviceSiteCoordinateOperationLog record);

    List<BasDeviceSiteCoordinateOperationLog> selectListByParam(Page<BasDeviceSiteCoordinateOperationLog> page, @Param("dto") BasDeviceSiteQuery dto,@Param("startTime")  Timestamp startTime,@Param("endTime")  Timestamp endTime);
}